/* SPDX-License-Identifier: GPL-2.0 */
/*
 * VXD DEC Common low level core interface component
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __PVDEC_VEC_BE_REGS_H__
#define __PVDEC_VEC_BE_REGS_H__

#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_OFFSET		(0x0040)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_STRIDE		(4)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE, CR_GENC_BUFFER_SIZE, GENC_BUFFER_SIZE
 */
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_MASK		(0x0FFFF000)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_LSBMASK		(0x0000FFFF)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_SHIFT		(12)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_LENGTH		(16)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_SIZE_GENC_BUFFER_SIZE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_OFFSET		(0x0050)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_STRIDE		(4)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE, CR_GENC_BUFFER_BASE_ADDRESS, GENC_BASE_ADDRESS
 */
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_MASK		(0xFFFFF000)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_LSBMASK		(0x000FFFFF)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_SHIFT		(12)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_LENGTH		(20)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_BASE_ADDRESS_GENC_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_OFFSET		(0x0060)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_STRIDE		(4)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE, CR_GENC_BUFFER_READ_POINTER, GENC_READ_POINTER
 */
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_MASK		(0x0FFFFFF0)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_LSBMASK		(0x00FFFFFF)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_SHIFT		(4)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_LENGTH		(24)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GENC_BUFFER_READ_POINTER_GENC_READ_POINTER_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_OFFSET		(0x0180)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_STRIDE		(4)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE, CR_GDEC_BUFFER_SIGNATURE, GDEC_BUFFER_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_GDEC_BUFFER_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_GDEC_BUFFER_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_GDEC_BUFFER_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_GDEC_BUFFER_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_GDEC_BUFFER_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GDEC_BUFFER_SIGNATURE_GDEC_BUFFER_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_OFFSET		(0x01D0)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_STRIDE		(4)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE, CR_GDEC_DATA_REQ_SIGNATURE, GDEC_DATA_REQ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_GDEC_DATA_REQ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_GDEC_DATA_REQ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_GDEC_DATA_REQ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_GDEC_DATA_REQ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_GDEC_DATA_REQ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GDEC_DATA_REQ_SIGNATURE_GDEC_DATA_REQ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_OFFSET		(0x0000)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CONTROL, BE_CHROMA_FORMAT
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CHROMA_FORMAT_MASK		(0x70000000)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CHROMA_FORMAT_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CHROMA_FORMAT_SHIFT		(28)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CHROMA_FORMAT_LENGTH		(3)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CHROMA_FORMAT_DEFAULT		(1)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CHROMA_FORMAT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CONTROL, BE_PROFILE
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_PROFILE_MASK		(0x07000000)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_PROFILE_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_PROFILE_SHIFT		(24)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_PROFILE_LENGTH		(3)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_PROFILE_DEFAULT		(1)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_PROFILE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CONTROL, BE_CODEC_MODE
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CODEC_MODE_MASK		(0x000F0000)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CODEC_MODE_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CODEC_MODE_SHIFT		(16)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CODEC_MODE_LENGTH		(4)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CODEC_MODE_DEFAULT		(12)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_CODEC_MODE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CONTROL, BE_FRAGMENT_ROW_EXT
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_EXT_MASK		(0x00003000)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_EXT_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_EXT_SHIFT		(12)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_EXT_LENGTH		(2)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_EXT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_EXT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CONTROL, BE_GENC_ENABLE
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_GENC_ENABLE_MASK		(0x00000100)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_GENC_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_GENC_ENABLE_SHIFT		(8)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_GENC_ENABLE_LENGTH		(1)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_GENC_ENABLE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_GENC_ENABLE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CONTROL, BE_FRAGMENT_ROW
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_MASK		(0x000000FF)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_SHIFT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_LENGTH		(8)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CONTROL_BE_FRAGMENT_ROW_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_OFFSET		(0x0004)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_MULTIPIPE_OPERATION, PIPE_NUMBER
 */
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_PIPE_NUMBER_MASK		(0x00000700)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_PIPE_NUMBER_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_PIPE_NUMBER_SHIFT		(8)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_PIPE_NUMBER_LENGTH		(3)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_PIPE_NUMBER_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_PIPE_NUMBER_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_MULTIPIPE_OPERATION, NUM_PIXEL_PIPES
 */
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_NUM_PIXEL_PIPES_MASK		(0x00000007)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_NUM_PIXEL_PIPES_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_NUM_PIXEL_PIPES_SHIFT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_NUM_PIXEL_PIPES_LENGTH		(3)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_NUM_PIXEL_PIPES_DEFAULT		(1)
#define PVDEC_VEC_BE_CR_VEC_BE_MULTIPIPE_OPERATION_NUM_PIXEL_PIPES_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_OFFSET		(0x0010)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CODED_PICTURE_SIZE, PIC_HEIGHT_MIN1
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_HEIGHT_MIN1_MASK		(0xFFFF0000)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_HEIGHT_MIN1_LSBMASK		(0x0000FFFF)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_HEIGHT_MIN1_SHIFT		(16)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_HEIGHT_MIN1_LENGTH		(16)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_HEIGHT_MIN1_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_HEIGHT_MIN1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_CODED_PICTURE_SIZE, PIC_WIDTH_MIN1
 */
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_WIDTH_MIN1_MASK		(0x0000FFFF)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_WIDTH_MIN1_LSBMASK		(0x0000FFFF)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_WIDTH_MIN1_SHIFT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_WIDTH_MIN1_LENGTH		(16)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_WIDTH_MIN1_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_CODED_PICTURE_SIZE_PIC_WIDTH_MIN1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_OFFSET		(0x0018)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_STATUS, COMMAND_MB_ADDR_Y
 */
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_Y_MASK		(0x0FFF0000)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_Y_LSBMASK		(0x00000FFF)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_Y_SHIFT		(16)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_Y_LENGTH		(12)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_Y_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_Y_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_VEC_BE_STATUS, COMMAND_MB_ADDR_X
 */
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_X_MASK		(0x00000FFF)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_X_LSBMASK		(0x00000FFF)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_X_SHIFT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_X_LENGTH		(12)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_X_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_VEC_BE_STATUS_COMMAND_MB_ADDR_X_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_OFFSET		(0x0020)

/*
 * PVDEC_VEC_BE, CR_MEM_TO_REG_BASE_ADDRESS, MEM_TO_REG_BASE_ADDRESS
 */
#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_MEM_TO_REG_BASE_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_MEM_TO_REG_BASE_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_MEM_TO_REG_BASE_ADDRESS_SHIFT		(6)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_MEM_TO_REG_BASE_ADDRESS_LENGTH		(26)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_MEM_TO_REG_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_BASE_ADDRESS_MEM_TO_REG_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_OFFSET		(0x0024)

/*
 * PVDEC_VEC_BE, CR_MEM_TO_REG_CONTROL, MEM_TO_REG_ENABLE
 */
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_ENABLE_MASK		(0x00010000)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_ENABLE_SHIFT		(16)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_ENABLE_LENGTH		(1)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_ENABLE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_ENABLE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_MEM_TO_REG_CONTROL, MEM_TO_REG_NUM_PAIRS
 */
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_NUM_PAIRS_MASK		(0x000003FF)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_NUM_PAIRS_LSBMASK		(0x000003FF)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_NUM_PAIRS_SHIFT		(0)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_NUM_PAIRS_LENGTH		(10)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_NUM_PAIRS_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_MEM_TO_REG_CONTROL_MEM_TO_REG_NUM_PAIRS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_OFFSET		(0x0030)

/*
 * PVDEC_VEC_BE, CR_GENC_FRAGMENT_BASE_ADDRESS, FRAGMENT_BASE_ADDRESS
 */
#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_SHIFT		(6)
#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_LENGTH		(26)
#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GENC_FRAGMENT_BASE_ADDRESS_FRAGMENT_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_OFFSET		(0x0080)

/*
 * PVDEC_VEC_BE, CR_GENC_CONTEXT0, GENC_CONTEXT0_3
 */
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_MASK		(0x003F0000)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_LSBMASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_SHIFT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_LENGTH		(6)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_DEFAULT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_GENC_CONTEXT0, GENC_CONTEXT0_2
 */
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_MASK		(0x00003F00)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_LSBMASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_SHIFT		(8)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_LENGTH		(6)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_DEFAULT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_GENC_CONTEXT0, GENC_CONTEXT0_1
 */
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_MASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_LSBMASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_LENGTH		(6)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_DEFAULT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT0_GENC_CONTEXT0_1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_OFFSET		(0x0084)

/*
 * PVDEC_VEC_BE, CR_GENC_CONTEXT1, GENC_CONTEXT1_3
 */
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_MASK		(0x003F0000)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_LSBMASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_SHIFT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_LENGTH		(6)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_DEFAULT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_GENC_CONTEXT1, GENC_CONTEXT1_2
 */
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_MASK		(0x00003F00)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_LSBMASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_SHIFT		(8)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_LENGTH		(6)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_DEFAULT		(16)
# define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_GENC_CONTEXT1, GENC_CONTEXT1_1
 */
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_MASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_LSBMASK		(0x0000003F)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_LENGTH		(6)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_DEFAULT		(16)
#define PVDEC_VEC_BE_CR_GENC_CONTEXT1_GENC_CONTEXT1_1_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_OFFSET		(0x00C0)

/*
 * PVDEC_VEC_BE, CR_ABOVE_PARAM_BASE_ADDRESS, ABOVE_PARAM_BASE_ADDRESS
 */
#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_ABOVE_PARAM_BASE_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_ABOVE_PARAM_BASE_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_ABOVE_PARAM_BASE_ADDRESS_SHIFT		(6)
#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_ABOVE_PARAM_BASE_ADDRESS_LENGTH		(26)
#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_ABOVE_PARAM_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_ABOVE_PARAM_BASE_ADDRESS_ABOVE_PARAM_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_OFFSET		(0x0178)

/*
 * PVDEC_VEC_BE, CR_SLICE_STRUCTURE_OVER1K_SIGNATURE, SLICE_STRUCTURE_OVER1K_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_SLICE_STRUCTURE_OVER1K_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_SLICE_STRUCTURE_OVER1K_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_SLICE_STRUCTURE_OVER1K_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_SLICE_STRUCTURE_OVER1K_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_SLICE_STRUCTURE_OVER1K_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_SIGNATURE_SLICE_STRUCTURE_OVER1K_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_OFFSET		(0x017C)

/*
 * PVDEC_VEC_BE, CR_GENC_DEC_SYS_WR_CONTROL, GENC_DEC_SYS_WR_DONE
 */
#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_GENC_DEC_SYS_WR_DONE_MASK		(0x00000001)
#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_GENC_DEC_SYS_WR_DONE_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_GENC_DEC_SYS_WR_DONE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_GENC_DEC_SYS_WR_DONE_LENGTH		(1)
#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_GENC_DEC_SYS_WR_DONE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GENC_DEC_SYS_WR_CONTROL_GENC_DEC_SYS_WR_DONE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_OFFSET		(0x0190)

/*
 * PVDEC_VEC_BE, CR_GDEC_FRAGMENT_SIGNATURE, GDEC_FRAGMENT_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_GDEC_FRAGMENT_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_GDEC_FRAGMENT_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_GDEC_FRAGMENT_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_GDEC_FRAGMENT_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_GDEC_FRAGMENT_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_SIGNATURE_GDEC_FRAGMENT_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_OFFSET		(0x0194)

/*
 * PVDEC_VEC_BE, CR_SLICE_STRUCTURE_SIGNATURE, SLICE_STRUCTURE_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_SLICE_STRUCTURE_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_SLICE_STRUCTURE_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_SLICE_STRUCTURE_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_SLICE_STRUCTURE_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_SLICE_STRUCTURE_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_SIGNATURE_SLICE_STRUCTURE_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_OFFSET		(0x0198)

/*
 * PVDEC_VEC_BE, CR_MEM_STRUCTURE_SIGNATURE, MEM_STRUCTURE_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_MEM_STRUCTURE_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_MEM_STRUCTURE_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_MEM_STRUCTURE_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_MEM_STRUCTURE_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_MEM_STRUCTURE_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_SIGNATURE_MEM_STRUCTURE_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_OFFSET		(0x01A0)

/*
 * PVDEC_VEC_BE, CR_DECODE_TO_COMMAND_PRIME_SIGNATURE, DECODE_COMMAND_PRIME_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_DECODE_COMMAND_PRIME_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_DECODE_COMMAND_PRIME_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_DECODE_COMMAND_PRIME_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_DECODE_COMMAND_PRIME_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_DECODE_COMMAND_PRIME_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_PRIME_SIGNATURE_DECODE_COMMAND_PRIME_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_OFFSET		(0x01A4)

/*
 * PVDEC_VEC_BE, CR_DECODE_TO_COMMAND_SECOND_SIGNATURE, DECODE_COMMAND_SECOND_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_DECODE_COMMAND_SECOND_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_DECODE_COMMAND_SECOND_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_DECODE_COMMAND_SECOND_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_DECODE_COMMAND_SECOND_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_DECODE_COMMAND_SECOND_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_COMMAND_SECOND_SIGNATURE_DECODE_COMMAND_SECOND_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_OFFSET		(0x01A8)

/*
 * PVDEC_VEC_BE, CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE, DECODE_RESIDUAL_PRIME_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_DECODE_RESIDUAL_PRIME_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_DECODE_RESIDUAL_PRIME_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_DECODE_RESIDUAL_PRIME_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_DECODE_RESIDUAL_PRIME_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_DECODE_RESIDUAL_PRIME_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_PRIME_SIGNATURE_DECODE_RESIDUAL_PRIME_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_OFFSET		(0x01AC)

/*
 * PVDEC_VEC_BE, CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE, DECODE_RESIDUAL_SECOND_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_DECODE_RESIDUAL_SECOND_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_DECODE_RESIDUAL_SECOND_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_DECODE_RESIDUAL_SECOND_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_DECODE_RESIDUAL_SECOND_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_DECODE_RESIDUAL_SECOND_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_DECODE_TO_RESIDUAL_SECOND_SIGNATURE_DECODE_RESIDUAL_SECOND_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_OFFSET		(0x01B0)

/*
 * PVDEC_VEC_BE, CR_COMMAND_ABOVE_READ_SIGNATURE, COMMAND_ABOVE_READ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_COMMAND_ABOVE_READ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_COMMAND_ABOVE_READ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_COMMAND_ABOVE_READ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_COMMAND_ABOVE_READ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_COMMAND_ABOVE_READ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_READ_SIGNATURE_COMMAND_ABOVE_READ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_OFFSET		(0x01B4)

/*
 * PVDEC_VEC_BE, CR_COMMAND_ABOVE_WRITE_SIGNATURE, COMMAND_ABOVE_WRITE_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_COMMAND_ABOVE_WRITE_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_COMMAND_ABOVE_WRITE_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_COMMAND_ABOVE_WRITE_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_COMMAND_ABOVE_WRITE_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_COMMAND_ABOVE_WRITE_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_COMMAND_ABOVE_WRITE_SIGNATURE_COMMAND_ABOVE_WRITE_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_OFFSET		(0x01B8)

/*
 * PVDEC_VEC_BE, CR_TEMPORAL_READ_SIGNATURE, TEMPORAL_READ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_TEMPORAL_READ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_TEMPORAL_READ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_TEMPORAL_READ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_TEMPORAL_READ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_TEMPORAL_READ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_TEMPORAL_READ_SIGNATURE_TEMPORAL_READ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_OFFSET		(0x01BC)

/*
 * PVDEC_VEC_BE, CR_TEMPORAL_WRITE_SIGNATURE, TEMPORAL_WRITE_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_TEMPORAL_WRITE_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_TEMPORAL_WRITE_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_TEMPORAL_WRITE_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_TEMPORAL_WRITE_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_TEMPORAL_WRITE_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_TEMPORAL_WRITE_SIGNATURE_TEMPORAL_WRITE_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_OFFSET		(0x01C0)

/*
 * PVDEC_VEC_BE, CR_COMMAND_OUTPUT_SIGNATURE, COMMAND_OUTPUT_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_COMMAND_OUTPUT_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_COMMAND_OUTPUT_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_COMMAND_OUTPUT_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_COMMAND_OUTPUT_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_COMMAND_OUTPUT_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_COMMAND_OUTPUT_SIGNATURE_COMMAND_OUTPUT_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_OFFSET		(0x01C4)

/*
 * PVDEC_VEC_BE, CR_RESIDUAL_OUTPUT_SIGNATURE, RESIDUAL_OUTPUT_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_RESIDUAL_OUTPUT_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_RESIDUAL_OUTPUT_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_RESIDUAL_OUTPUT_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_RESIDUAL_OUTPUT_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_RESIDUAL_OUTPUT_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_RESIDUAL_OUTPUT_SIGNATURE_RESIDUAL_OUTPUT_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_OFFSET		(0x01E0)

/*
 * PVDEC_VEC_BE, CR_GDEC_FRAGMENT_REQ_SIGNATURE, GDEC_FRAGMENT_REQ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_GDEC_FRAGMENT_REQ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_GDEC_FRAGMENT_REQ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_GDEC_FRAGMENT_REQ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_GDEC_FRAGMENT_REQ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_GDEC_FRAGMENT_REQ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GDEC_FRAGMENT_REQ_SIGNATURE_GDEC_FRAGMENT_REQ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_OFFSET		(0x01E4)

/*
 * PVDEC_VEC_BE, CR_SLICE_STRUCTURE_REQ_SIGNATURE, SLICE_STRUCTURE_REQ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_SLICE_STRUCTURE_REQ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_SLICE_STRUCTURE_REQ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_SLICE_STRUCTURE_REQ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_SLICE_STRUCTURE_REQ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_SLICE_STRUCTURE_REQ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_REQ_SIGNATURE_SLICE_STRUCTURE_REQ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_OFFSET		(0x01E8)

/*
 * PVDEC_VEC_BE, CR_MEM_STRUCTURE_REQ_SIGNATURE, MEM_STRUCTURE_REQ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_MEM_STRUCTURE_REQ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_MEM_STRUCTURE_REQ_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_MEM_STRUCTURE_REQ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_MEM_STRUCTURE_REQ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_MEM_STRUCTURE_REQ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_MEM_STRUCTURE_REQ_SIGNATURE_MEM_STRUCTURE_REQ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_OFFSET		(0x01EC)

/*
 * PVDEC_VEC_BE, CR_GDEC_SYS_WR_SIGNATURE, GDEC_SYS_WR_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_GDEC_SYS_WR_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_GDEC_SYS_WR_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_GDEC_SYS_WR_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_GDEC_SYS_WR_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_GDEC_SYS_WR_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GDEC_SYS_WR_SIGNATURE_GDEC_SYS_WR_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_OFFSET		(0x01F0)

/*
 * PVDEC_VEC_BE, CR_GDEC_MEM2REG_SYS_WR_SIGNATURE, GDEC_MEM2REG_SYS_WR_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_GDEC_MEM2REG_SYS_WR_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_GDEC_MEM2REG_SYS_WR_SIGNATURE_LSBMASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_GDEC_MEM2REG_SYS_WR_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_GDEC_MEM2REG_SYS_WR_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_GDEC_MEM2REG_SYS_WR_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_GDEC_MEM2REG_SYS_WR_SIGNATURE_GDEC_MEM2REG_SYS_WR_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_OFFSET		(0x01F4)

/*
 * PVDEC_VEC_BE, CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE, SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE
 */
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_MASK		(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_LSBMASK	(0xFFFFFFFF)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SHIFT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_LENGTH		(32)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_OFFSET		(0x01FC)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT_MASK		(0x04000000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT_SHIFT		(26)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_REQ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT_MASK		(0x02000000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT_SHIFT		(25)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_MEM2REG_SYS_WR_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, GDEC_SYS_WR_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_SYS_WR_SIGNATURE_INIT_MASK		(0x01000000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_SYS_WR_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_SYS_WR_SIGNATURE_INIT_SHIFT		(24)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_SYS_WR_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_SYS_WR_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_SYS_WR_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, MEM_STRUCTURE_REQ_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_REQ_SIGNATURE_INIT_MASK		(0x00800000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_REQ_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_REQ_SIGNATURE_INIT_SHIFT		(23)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_REQ_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_REQ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_REQ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, SLICE_STRUCTURE_REQ_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_REQ_SIGNATURE_INIT_MASK		(0x00400000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_REQ_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_REQ_SIGNATURE_INIT_SHIFT		(22)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_REQ_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_REQ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_REQ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, GDEC_DATA_REQ_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_DATA_REQ_SIGNATURE_INIT_MASK		(0x003C0000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_DATA_REQ_SIGNATURE_INIT_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_DATA_REQ_SIGNATURE_INIT_SHIFT		(18)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_DATA_REQ_SIGNATURE_INIT_LENGTH		(4)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_DATA_REQ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_DATA_REQ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, RESIDUAL_OUTPUT_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_RESIDUAL_OUTPUT_SIGNATURE_INIT_MASK		(0x00020000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_RESIDUAL_OUTPUT_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_RESIDUAL_OUTPUT_SIGNATURE_INIT_SHIFT		(17)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_RESIDUAL_OUTPUT_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_RESIDUAL_OUTPUT_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_RESIDUAL_OUTPUT_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, COMMAND_OUTPUT_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_OUTPUT_SIGNATURE_INIT_MASK		(0x00010000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_OUTPUT_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_OUTPUT_SIGNATURE_INIT_SHIFT		(16)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_OUTPUT_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_OUTPUT_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_OUTPUT_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, TEMPORAL_WRITE_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_WRITE_SIGNATURE_INIT_MASK		(0x00008000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_WRITE_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_WRITE_SIGNATURE_INIT_SHIFT		(15)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_WRITE_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_WRITE_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_WRITE_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, TEMPORAL_READ_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_READ_SIGNATURE_INIT_MASK		(0x00004000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_READ_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_READ_SIGNATURE_INIT_SHIFT		(14)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_READ_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_READ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_TEMPORAL_READ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, COMMAND_ABOVE_WRITE_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_WRITE_SIGNATURE_INIT_MASK		(0x00002000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_WRITE_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_WRITE_SIGNATURE_INIT_SHIFT		(13)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_WRITE_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_WRITE_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_WRITE_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, COMMAND_ABOVE_READ_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_READ_SIGNATURE_INIT_MASK		(0x00001000)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_READ_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_READ_SIGNATURE_INIT_SHIFT		(12)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_READ_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_READ_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_COMMAND_ABOVE_READ_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, DECODE_RESIDUAL_SECOND_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_SECOND_SIGNATURE_INIT_MASK		(0x00000800)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_SECOND_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_SECOND_SIGNATURE_INIT_SHIFT		(11)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_SECOND_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_SECOND_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_SECOND_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, DECODE_RESIDUAL_PRIME_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_PRIME_SIGNATURE_INIT_MASK		(0x00000400)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_PRIME_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_PRIME_SIGNATURE_INIT_SHIFT		(10)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_PRIME_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_PRIME_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_RESIDUAL_PRIME_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, DECODE_COMMAND_SECOND_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_SECOND_SIGNATURE_INIT_MASK		(0x00000200)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_SECOND_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_SECOND_SIGNATURE_INIT_SHIFT		(9)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_SECOND_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_SECOND_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_SECOND_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, DECODE_COMMAND_PRIME_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_PRIME_SIGNATURE_INIT_MASK		(0x00000100)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_PRIME_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_PRIME_SIGNATURE_INIT_SHIFT		(8)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_PRIME_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_PRIME_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_DECODE_COMMAND_PRIME_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT_MASK		(0x00000080)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT_SHIFT		(7)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_OVER1K_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, MEM_STRUCTURE_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_SIGNATURE_INIT_MASK		(0x00000040)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_SIGNATURE_INIT_SHIFT		(6)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_MEM_STRUCTURE_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, SLICE_STRUCTURE_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_SIGNATURE_INIT_MASK		(0x00000020)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_SIGNATURE_INIT_SHIFT		(5)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_SLICE_STRUCTURE_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, GDEC_FRAGMENT_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_FRAGMENT_SIGNATURE_INIT_MASK		(0x00000010)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_FRAGMENT_SIGNATURE_INIT_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_FRAGMENT_SIGNATURE_INIT_SHIFT		(4)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_FRAGMENT_SIGNATURE_INIT_LENGTH		(1)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_FRAGMENT_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_FRAGMENT_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE, CR_SIGNATURE_INIT, GDEC_BUFFER_SIGNATURE_INIT
 */
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_BUFFER_SIGNATURE_INIT_MASK		(0x0000000F)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_BUFFER_SIGNATURE_INIT_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_BUFFER_SIGNATURE_INIT_SHIFT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_BUFFER_SIGNATURE_INIT_LENGTH		(4)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_BUFFER_SIGNATURE_INIT_DEFAULT		(0)
#define PVDEC_VEC_BE_CR_SIGNATURE_INIT_GDEC_BUFFER_SIGNATURE_INIT_SIGNED_FIELD	(IMG_FALSE)

#endif
